### Method

# WebKit2WebExtension DOMWheelEvent init_wheel_event

deprecated: 2.22

#### Declaration [src]

    void
    webkit_dom_wheel_event_init_wheel_event (
      WebKitDOMWheelEvent* self,
      glong wheelDeltaX,
      glong wheelDeltaY,
      WebKitDOMDOMWindow* view,
      glong screenX,
      glong screenY,
      glong clientX,
      glong clientY,
      gboolean ctrlKey,
      gboolean altKey,
      gboolean shiftKey,
      gboolean metaKey
    )

#### Description

No description available.

Deprecated since: 2.22

Use JavaScriptCore API instead.

#### Parameters

`wheelDeltaX`

  Type: `glong`

  A #glong.

`wheelDeltaY`

  Type: `glong`

  A #glong.

`view`

  Type: `WebKitDOMDOMWindow`

  A `WebKitDOMDOMWindow`.

  The data is owned by the caller of the function.

`screenX`

  Type: `glong`

  A #glong.

`screenY`

  Type: `glong`

  A #glong.

`clientX`

  Type: `glong`

  A #glong.

`clientY`

  Type: `glong`

  A #glong.

`ctrlKey`

  Type: `gboolean`

  A #gboolean.

`altKey`

  Type: `gboolean`

  A #gboolean.

`shiftKey`

  Type: `gboolean`

  A #gboolean.

`metaKey`

  Type: `gboolean`

  A #gboolean.